# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-07-11 12:03
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('journal', '0002_auto_20170711_1203'),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='ImportCacheEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.TextField(max_length=800)),
                ('on_disk', models.TextField(max_length=800)),
                ('mime_type', models.CharField(blank=True, max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='LogEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('types', models.CharField(blank=True, choices=[('Email', 'Email'), ('PageView', 'PageView'), ('EditorialAction', 'EditorialAction'), ('Error', 'Error'), ('Authentication', 'Authentication'), ('Submission', 'Submission')], max_length=255, null=True)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('level', models.CharField(blank=True, choices=[('Error', 'Error'), ('Debug', 'Debug'), ('Info', 'Info')], max_length=20, null=True)),
                ('ip_address', models.GenericIPAddressField(blank=True, null=True)),
                ('object_id', models.PositiveIntegerField(blank=True, null=True)),
                ('actor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actor', to=settings.AUTH_USER_MODEL)),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='content_type', to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name_plural': 'log entries',
            },
        ),
        migrations.CreateModel(
            name='Plugin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('version', models.CharField(max_length=10)),
                ('date_installed', models.DateTimeField(auto_now_add=True)),
                ('enabled', models.BooleanField(default=True)),
                ('display_name', models.CharField(blank=True, max_length=200, null=True)),
                ('press_wide', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='PluginSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('types', models.CharField(choices=[('rich-text', 'Rich Text'), ('text', 'Text'), ('char', 'Characters'), ('number', 'Number'), ('boolean', 'Boolean'), ('file', 'File'), ('select', 'Select'), ('json', 'JSON')], default='Text', max_length=20)),
                ('pretty_name', models.CharField(default='', max_length=100)),
                ('description', models.TextField(blank=True, null=True)),
                ('is_translatable', models.BooleanField(default=False)),
                ('plugin', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utils.Plugin')),
            ],
            options={
                'ordering': ('plugin', 'name'),
            },
        ),
        migrations.CreateModel(
            name='PluginSettingValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('journal', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='journal.Journal')),
                ('setting', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='utils.PluginSetting')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PluginSettingValueTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(blank=True, null=True)),
                ('language_code', models.CharField(db_index=True, max_length=15)),
                ('master', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='utils.PluginSettingValue')),
            ],
            options={
                'db_table': 'utils_pluginsettingvalue_translation',
                'db_tablespace': '',
                'managed': True,
                'abstract': False,
                'default_permissions': (),
            },
        ),
        migrations.AlterUniqueTogether(
            name='pluginsettingvaluetranslation',
            unique_together=set([('language_code', 'master')]),
        ),
    ]
